Subject: Re: Trouble growing impatiens

From: [email-masked] (Marjorie B. Colley)
Date: 31 Mar 1995 00:42:03 GMT

I find that although the little stick say they're a shade plant, they grow
quite well in sunshine. I've planted them for about 5 years in window boxes
that face southwest so they have sun from abnout 8 or 9 in the AM.. When I
first plant them I pnich them back and again in mid summer I usually pinch
them way back again or they get leggy. good luck.